
# Base all directories relative to the location of the ParaViewConfig.cmake file.
GET_FILENAME_COMPONENT(ParaView_INSTALL_PREFIX "${ParaView_DIR}" ABSOLUTE)

# Version information for ParaView
SET(PARAVIEW_VERSION_MAJOR "3")
SET(PARAVIEW_VERSION_MINOR "8")
SET(PARAVIEW_VERSION_PATCH "1")
SET(PARAVIEW_VERSION_RC    "")

# Locations for the source and binary dirs.
# I am not sure ParaView_SOURCE_DIR should be exported since it won't be
# available for development-install
SET(ParaView_CMAKE_DIR "/usr/local/lib/paraview-3.8/CMake")
SET(ParaView_BINARY_DIR "/usr/local/lib/paraview-3.8")

# Some core ParaView settings.
SET(PARAVIEW_BUILD_SHARED_LIBS "ON")
SET(PARAVIEW_ENABLE_PYTHON "OFF")
SET(PARAVIEW_BUILD_QT_GUI "ON")

SET(PARAVIEW_USE_FILE "/usr/local/lib/paraview-3.8/ParaViewUse.cmake")
SET(PARAVIEW_VTK_DIR "/usr/local/lib/paraview-3.8/VTK")
SET(PARAVIEW_QT_QMAKE_EXECUTABLE "/usr/local/bin/qmake-qt4")
SET(ParaView_QT_DIR "/usr/local/lib/paraview-3.8/Qt")

# Locate to extra CMake modules.
#SET(PARAVIEW_CMAKE_EXTENSIONS "")

SET(VTK_WRAP_ClientServer_EXE "/usr/local/lib/paraview-3.8/bin/vtkWrapClientServer")
SET(PARAVIEW_INCLUDE_DIRS "/usr/local/lib/paraview-3.8/Utilities/VTKClientServer;/usr/local/lib/paraview-3.8/Common/KWCommon;/usr/local/lib/paraview-3.8/Servers/Filters;/usr/local/lib/paraview-3.8/Servers/ServerManager;/usr/local/lib/paraview-3.8/Servers/Common;/usr/local/lib/paraview-3.8/Utilities/VTKPythonWrapping/Executable;/usr/local/lib/paraview-3.8/VTK/Wrapping;/usr/local/lib/paraview-3.8/VTK/Wrapping;/usr/local/lib/paraview-3.8;/usr/local/lib/paraview-3.8/Utilities/VTKClientServer;/usr/local/lib/paraview-3.8/Servers/Filters;/usr/local/lib/paraview-3.8/Servers/ServerManager;/usr/local/lib/paraview-3.8/Servers/Common;/usr/local/lib/paraview-3.8/Utilities/Xdmf2/vtk;/usr/local/lib/paraview-3.8/Utilities/Xdmf2/vtk;/usr/local/include")
SET(PARAVIEW_LIBRARY_DIRS "/usr/local/lib/paraview-3.8/bin")

SET(PARAVIEW_GUI_INCLUDE_DIRS "/usr/local/lib/paraview-3.8/VTK/GUISupport/Qt;/usr/local/lib/paraview-3.8/VTK/GUISupport/Qt;/usr/local/lib/paraview-3.8/Qt/Widgets;/usr/local/lib/paraview-3.8/Qt/Widgets;/usr/local/lib/paraview-3.8/Qt/Chart;/usr/local/lib/paraview-3.8/Qt/Chart;/usr/local/lib/paraview-3.8/Qt/Core;/usr/local/lib/paraview-3.8/Qt/Core;/usr/local/lib/paraview-3.8/Qt/Core/Resources/UI;/usr/local/lib/paraview-3.8/Qt/Components;/usr/local/lib/paraview-3.8/Qt/Components;/usr/local/lib/paraview-3.8/Qt/Components/Resources/UI;/usr/local/lib/paraview-3.8/Qt/ApplicationComponents;/usr/local/lib/paraview-3.8/Qt/ApplicationComponents;/usr/local/lib/paraview-3.8/Qt/ApplicationComponents/Resources/UI;/usr/local/lib/paraview-3.8/Qt/Testing;/usr/local/lib/paraview-3.8/Qt/Testing")
SET(PARAVIEW_KWSYS_INCLUDE_DIRS "/usr/local/lib/paraview-3.8/Utilities/VTKClientServer;/usr/local/lib/paraview-3.8/Common/KWCommon;/usr/local/lib/paraview-3.8/Servers/Filters;/usr/local/lib/paraview-3.8/Servers/ServerManager;/usr/local/lib/paraview-3.8/Servers/Common;/usr/local/lib/paraview-3.8/Utilities/VTKPythonWrapping/Executable;/usr/local/lib/paraview-3.8/VTK/Wrapping;/usr/local/lib/paraview-3.8/VTK/Wrapping;/usr/local/lib/paraview-3.8;/usr/local/lib/paraview-3.8/Utilities/VTKClientServer;/usr/local/lib/paraview-3.8/Servers/Filters;/usr/local/lib/paraview-3.8/Servers/ServerManager;/usr/local/lib/paraview-3.8/Servers/Common;/usr/local/lib/paraview-3.8/Utilities/Xdmf2/vtk;/usr/local/lib/paraview-3.8/Utilities/Xdmf2/vtk;/usr/local/include")

# Path to various paraview executables needed for testing.
SET(PARAVIEW_BATCH_EXECUTABLE "/usr/local/lib/paraview-3.8/bin/pvbatch")
SET(PARAVIEW_PYTHON_EXECUTABLE "/usr/local/lib/paraview-3.8/bin/pvpython")
SET(PARAVIEW_SERVER_EXECUTABLE "/usr/local/lib/paraview-3.8/bin/pvserver")
SET(PARAVIEW_DATA_SERVER_EXECUTABLE "/usr/local/lib/paraview-3.8/bin/pvdataserver")
SET(PARAVIEW_RENDER_SERVER_EXECUTABLE "/usr/local/lib/paraview-3.8/bin/pvrenderserver")
SET(PARAVIEW_SMTESTDRIVER_EXECUTABLE "/usr/local/lib/paraview-3.8/bin/smTestDriver")

SET(PARAVIEW_PROCESS_XML_EXECUTABLE "/usr/local/lib/paraview-3.8/bin/kwProcessXML")
SET(PARAVIEW_SERVER_MANAGER_RESOURCES_DIRECTORY "/usr/local/lib/paraview-3.8/Servers/ServerManager/Resources")
SET(VTKCS_CONFIG_DIR "/usr/local/lib/paraview-3.8/Utilities/VTKClientServer/CMake")

SET(PARAVIEW_HDF5_LIBRARIES "/usr/local/lib/libhdf5.so")

# The ParaView library dependencies.
IF(NOT PARAVIEW_NO_LIBRARY_DEPENDS)
  INCLUDE("/usr/local/lib/paraview-3.8/ParaViewLibraryDepends.cmake")
ENDIF(NOT PARAVIEW_NO_LIBRARY_DEPENDS)

SET(VTK_MAKE_INSTANTIATOR "/usr/local/lib/paraview-3.8/VTK/CMake")
SET(VTK_ENCODESTRING_EXE "/usr/local/lib/paraview-3.8/bin/vtkEncodeString")

# The locations/prefixes where this version of ParaView would be installed.
SET (PARAVIEW_INSTALL_LIB_DIR "lib/paraview-3.8")

SET(PARAVIEW_ENABLE_COPROCESSING "")
IF(PARAVIEW_ENABLE_COPROCESSING)
  SET(CoProcessing_DIR "")
ENDIF(PARAVIEW_ENABLE_COPROCESSING)

